<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>fvBoundaries &ndash; FLUBIO </title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>fvBoundaries
    <small>Derived Type</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title="<p> 2.8% of total for derived types.</p>Including implementation: 348 statements,  2.9% of total for derived types.">31 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/flubioBoundaries.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/flubioboundaries.f03.html'>flubioBoundaries.f03</a></li>
    
     <li><a href='../module/flubioboundaries.html'>flubioBoundaries</a></li>
    
  
     <li class="active">fvBoundaries</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-0">Variables</a></h3></div>
  <div id="vars-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-numberofboundaries">numberOfBoundaries</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-numberofpatches">numberOfPatches</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-numberofrealbound">numberOfRealBound</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-numberofprocfaces">numberOfProcFaces</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-maxprocfaces">maxProcFaces</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-maxperfaces">maxPerFaces</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-maxwallfaces">maxWallFaces</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-username">userName</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-neighpatch">neighPatch</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-refpatch">refPatch</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-bctype">bcType</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-startface">startFace</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-startfaceorg">startFaceOrg</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-nface">nFace</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-realbound">realBound</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-procbound">procBound</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-myproc">myProc</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-neighproc">neighProc</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-perbound">perBound</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-wallbound">wallBound</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-periodicboundarymapping">periodicBoundaryMapping</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-getcyclicpatch">getCyclicPatch</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-0">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-0" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/fvboundaries.html#boundprocedure-readboundaddr">readBoundAddr</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#boundprocedure-readboundariesfromfiles">readBoundariesFromFiles</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#boundprocedure-findboundaryindices">findBoundaryIndices</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#boundprocedure-findboundarybyname">findBoundaryByName</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#boundprocedure-findwallboundaries">findWallBoundaries</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#boundprocedure-getperiodicfacessize">getPeriodicFacesSize</a>
      
    </div>
  </div>
</div>





</div>

    </div>
    
    <div class="col-md-9" id='text'>
      <h2>type, public :: fvBoundaries</h2>
    
    
    
    
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 



<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#vars-1">Variables</a></h3></div>
  <div id="vars-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-numberofboundaries">numberOfBoundaries</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-numberofpatches">numberOfPatches</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-numberofrealbound">numberOfRealBound</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-numberofprocfaces">numberOfProcFaces</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-maxprocfaces">maxProcFaces</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-maxperfaces">maxPerFaces</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-maxwallfaces">maxWallFaces</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-username">userName</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-neighpatch">neighPatch</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-refpatch">refPatch</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-bctype">bcType</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-startface">startFace</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-startfaceorg">startFaceOrg</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-nface">nFace</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-realbound">realBound</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-procbound">procBound</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-myproc">myProc</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-neighproc">neighProc</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-perbound">perBound</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-wallbound">wallBound</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-periodicboundarymapping">periodicBoundaryMapping</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#variable-getcyclicpatch">getCyclicPatch</a>
      
    </div>
  </div>
</div>


















<div class="panel panel-primary">
  <div class="panel-heading text-left"><h3 class="panel-title"><a data-toggle="collapse" href="#boundprocs-1">Type-Bound Procedures</a></h3></div>
  <div id="boundprocs-1" class="panel-collapse collapse">
    <div class="list-group">
      
      <a class="list-group-item" href="../type/fvboundaries.html#boundprocedure-readboundaddr">readBoundAddr</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#boundprocedure-readboundariesfromfiles">readBoundariesFromFiles</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#boundprocedure-findboundaryindices">findBoundaryIndices</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#boundprocedure-findboundarybyname">findBoundaryByName</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#boundprocedure-findwallboundaries">findWallBoundaries</a>
      
      <a class="list-group-item" href="../type/fvboundaries.html#boundprocedure-getperiodicfacessize">getPeriodicFacesSize</a>
      
    </div>
  </div>
</div>





    </section>
    <br class="visible-xs visible-sm hidden-md">

    
    <section>
    <h2>Components</h2>
    
<table class="table table-striped varlist">
<thead><tr><th>Type</th><th>Visibility</th>

<th>Attributes</th><th></th><th>Name</th><th></th><th>Initial</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberofboundaries"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>numberOfBoundaries</strong></td><td></td><td></td><td><p>Number of boundaries in the domain</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberofpatches"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>numberOfPatches</strong></td><td></td><td></td><td><p>Number of boundaries in the domain</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberofrealbound"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>numberOfRealBound</strong></td><td></td><td></td><td><p>Number of physical boundaries in the domain (preocessor boundaries are excluded)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-numberofprocfaces"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>numberOfProcFaces</strong></td><td></td><td></td><td><p>Not used.</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-maxprocfaces"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>maxProcFaces</strong></td><td></td><td></td><td><p>Maxium number of faces in the processor boundaries. It is needed to  determin the buffer size during MPI communications</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-maxperfaces"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>maxPerFaces</strong></td><td></td><td></td><td><p>Not used</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-maxwallfaces"></span>integer,</td>
  
  <td>public</td>
  <td></td><td>::</td>
  <td><strong>maxWallFaces</strong></td><td></td><td></td><td><p>Maximum number of wall faces</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-username"></span>character(len=30),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>userName</strong></td><td></td><td></td><td><p>Boundary name provided by te user</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-neighpatch"></span>character(len=30),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>neighPatch</strong></td><td></td><td></td><td><p>Name of the neighbour patch for a periodic boundary</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-refpatch"></span>character(len=30),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>refPatch</strong></td><td></td><td></td><td><p>reference patch</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-bctype"></span>character(len=30),</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>bcType</strong></td><td></td><td></td><td><p>Base type of boundary condition (wall, inlet, outlet)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-startface"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>startFace</strong></td><td></td><td></td><td><p>Location of the starting face in the faces array for a target patch</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-startfaceorg"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>startFaceOrg</strong></td><td></td><td></td><td><p>Location of the starting face in the faces array for a target patch (backup)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-nface"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>nFace</strong></td><td></td><td></td><td><p>Number of faces compising a target patch</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-realbound"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>realBound</strong></td><td></td><td></td><td><p>Array containing the position of the physical boundaries in the boundary file</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-procbound"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>procBound</strong></td><td></td><td></td><td><p>Array containing the position of the processor boundaries in the boundary file</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-myproc"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>myProc</strong></td><td></td><td></td><td><p>For a periodic boundary, myProc is the id of the rank hosting the patch</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-neighproc"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>neighProc</strong></td><td></td><td></td><td><p>For a periodic boundary, neighProc is the id of the rank neighbouring with the patch</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-perbound"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>perBound</strong></td><td></td><td></td><td><p>Array containing the position of the periodic boundaries in the boundary file</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-wallbound"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>wallBound</strong></td><td></td><td></td><td><p>Array containing the position of the wall boundaries in the boundary file</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-periodicboundarymapping"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:,:), allocatable</td><td>::</td>
  <td><strong>periodicBoundaryMapping</strong></td><td></td><td></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-getcyclicpatch"></span>integer,</td>
  
  <td>public,</td>
  <td>dimension(:), allocatable</td><td>::</td>
  <td><strong>getCyclicPatch</strong></td><td></td><td></td><td><p>position of the periodic boundary in the processor boundary array</p></td>
  
</tr>

</tbody>
</table>

    </section>
    <br>
    
    
    
    
    
    
     
    <section>
    <h2>Type-Bound Procedures</h2>
    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-readboundaddr"></span><h3>procedure, public :: <strong>readBoundAddr</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/readboundaddr.html'>readBoundAddr</a>(this)
    
    
   
</h3>
    







<p>readBoundAddr reads the boundary address file, telling how the patches are decomposed across the processors.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvboundaries.html'>fvBoundaries</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-readboundariesfromfiles"></span><h3>procedure, public :: <strong>readBoundariesFromFiles</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/readboundariesfromfiles.html'>readBoundariesFromFiles</a>(this)
    
    
   
</h3>
    







<p>readBoundaries reads the boundary mesh files and the boundary conditions.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvboundaries.html'>fvBoundaries</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-findboundaryindices"></span><h3>procedure, public :: <strong>findBoundaryIndices</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/findboundaryindices.html'>findBoundaryIndices</a>(this, patchNames, is, ie, nFaces, pIndex, n)
    
    
   
</h3>
    







<p>findBoundaryIndices finds the index of a target boundary.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvboundaries.html'>fvBoundaries</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=50)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>patchNames</strong>(n)</td><td><p>name of the boundaries</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>is</strong>(n)</td><td><p>start index for each boundary</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>ie</strong>(n)</td><td><p>end index for each boundary</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>nFaces</strong>(n)</td><td><p>number of faces for each boundary</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>pIndex</strong>(n)</td><td><p>patch indices</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>n</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-findboundarybyname"></span><h3>procedure, public :: <strong>findBoundaryByName</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public function <a href='../proc/findboundarybyname.html'>findBoundaryByName</a>(this, boundaryName) result(targetBoundary)
    
    
   
</h3>
    







<p>findBoundaryByName returns boundary starting and ending indices.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvboundaries.html'>fvBoundaries</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>boundaryName</strong></td><td><p>name of the boundaries</p></td>
  
</tr>

</tbody>
</table>

      
    
    

  
  
  
  
     <h4>Return Value <small>integer
  (3)</small></h4>
  <p>Boundary indices array (is,ie,nFaces)</p>
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-findwallboundaries"></span><h3>procedure, public :: <strong>findWallBoundaries</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/findwallboundaries.html'>findWallBoundaries</a>(this)
    
    
   
</h3>
    







<p>findWallBoundaries find the index of the boundaries which are wall boundaries.</p>
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvboundaries.html'>fvBoundaries</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
     
<div class="panel panel-default">
  <div class="panel-heading codesum"><span class="anchor" id="boundprocedure-getperiodicfacessize"></span><h3>procedure, public :: <strong>getPeriodicFacesSize</strong>  
    
  </h3></div>
  
  <ul class="list-group">
    
      <li class="list-group-item">
      
        
          
    
    <h3>
public subroutine <a href='../proc/getperiodicfacessize.html'>getPeriodicFacesSize</a>(this)
    
    
   
</h3>
    
    
    <h4>Arguments</h4>
    
      
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" ></span>class(<a href='../type/fvboundaries.html'>fvBoundaries</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

      
    
    

        
      
      </li>
    
  </ul>
</div>

    
    </section>
    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>